:root {
    --color-principal: #4a2b11;
    --color-secundario: #fdfdfd;
    --color-texto: #333;
  }
  
  * {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
  }
  
  body {
    font-family: 'Mukta', sans-serif;
    font-size: 1rem;
    line-height: 1.6;
    background: var(--color-secundario);
    color: var(--color-texto);
    min-height: 100vh;
  }

   /*header y logo   */
  header {
    position: sticky;
    top: 0;
    z-index: 900;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 15px 40px;
    background-color: var(--color-secundario);
    border-bottom: 4px solid #ada48f;
  }
  
  .logo img {
    height: 60px;
  }
  
  .menu {
    display: flex;
    gap: 20px;
    list-style: none;
    flex-wrap: wrap;
  }
  
  .menu li a {
    text-transform: uppercase;
    padding: 10px 20px;
    text-decoration: none;
    color: var(--color-principal);
    font-size: 16px;
    font-weight: 600;
    transition: 0.3s ease;
    font-family: 'Nexa', sans-serif;
  }
  
  .menu li a:hover {
    background-color: var(--color-principal);
    color: #fff;
    border-radius: 6px;
  }

  /*titulo*/
  .titulo h2{
    margin-top: 25px;
    font-family: 'Times New Roman', Times, serif;
    font-size: 32px;
    text-align: center;
    color: var(--color-principal);
  }

/*abogados*/
.container {
  display: flex;
  justify-content: center;
  align-items: flex-start;
  flex-wrap: wrap;
  gap: 40px;
  max-width: 1200px;
  margin: 0 auto 50px;
  margin-top: 30px;
  margin-bottom: 30px;
}

.card {
  background-color: white;
  border: 2px solid #d9d9d9;
  border-radius: 15px;
  width: 250px;
  min-height: 300px; 
  text-align: center;
  padding: 20px;
  box-shadow: 0 4px 8px #ada48f;
  transition: transform 0.3s ease;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.card:hover {
  transform: translateY(-5px);
}

.photo {
  width: 80px;
  height: 80px;
  border-radius: 15px;
  margin-bottom: 10px;
  display: block;
  margin-left: auto;
  margin-right: auto;
  object-fit: cover;
}

.name {
  font-weight: bold;
  margin-bottom: 10px;
}

.contact a {
  text-decoration: none;
  color: #333;
  font-size: 14px;
}

.contact a:hover {
  text-decoration: underline;
}

/*boton-info*/
.info a {
  text-decoration: none;
  color: #fff;
  background-color: #4a2b11;
  padding: 10px 20px;
  border-radius: 5px;
  font-size: 14px;
  transition: background-color 0.3s ease;
}

/*modal*/
.contenedor-boton { 
  text-align: right; 
  margin-right: 20px;
  margin-top: -40px;
}

.btn-btn-primary{
  background-color: #4a2b11;
  color: #fff;
  border: none;
  padding: 10px 20px;
  font-size: 16px;
  cursor: pointer;
  border-radius: 10px;
  text-align: center;
}

.modal-title {
  font-size: 1.5rem;
  font-weight: 500;
  color: #333; 
  text-align: center;
}

.btn-btn-secondary{
  background-color: #ada48f;
  color: #fff;
  border: none;
  padding: 10px 20px;
  font-size: 16px;
  cursor: pointer;
  border-radius: 10px;
  text-align: center;
}

.modal-title {
  font-size: 1.5rem;
  font-weight: 500;
  color: #333; 
  text-align: center; 
}

.modal-body {
  font-size: 16px;
  line-height: 1.5;
  color: #333;
}

.modal-content {
  background-color: #fdfdfd;
  color: #333;
}

/*footer*/
footer {
    background-color: #ada48f;
    color: #fff;
    padding: 20px 0;
    text-align: center;
  }
  
  @media (max-width: 768px) {
    .menu {
      flex-direction: column;
      gap: 10px;
    }
  }

/* Responsivo */
@media (max-width: 768px) {
    .menu {
        flex-direction: column;
        gap: 10px;
    }
    header {
        padding: 10px 20px;
    }
    footer {
        font-size: 14px;
        padding: 15px 10px;
    }
}